Index: src/coreInterface/ConstDatabase.cpp
===================================================================
--- src/coreInterface/ConstDatabase.cpp	(revision 74453)
+++ src/coreInterface/ConstDatabase.cpp	(working copy)
@@ -71,7 +71,7 @@
 }
 
 
-static void InitBrlCad(void) throw() {
+static void InitBrlCad(void) {
     static bool init = true;
 
     if (init) { // do it only once
@@ -89,7 +89,7 @@
 // class ConstDatabase
 //
 
-ConstDatabase::ConstDatabase(void) throw(bad_alloc) : m_rtip(0), m_resp(0) {
+ConstDatabase::ConstDatabase(void) : m_rtip(0), m_resp(0) {
     InitBrlCad();
 
     if (rt_uniresource.re_magic != RESOURCE_MAGIC)
@@ -99,16 +99,14 @@
         m_resp = static_cast<resource*>(bu_calloc(1, sizeof(resource), "BRLCAD::ConstDatabase::~ConstDatabase::m_resp"));
         rt_init_resource(m_resp, 0, NULL);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Object::Object");
-    }
 
     BU_UNSETJUMP;
 }
 
 
-ConstDatabase::~ConstDatabase(void) throw() {
+ConstDatabase::~ConstDatabase(void) {
     if (m_rtip != 0) {
         if (!BU_SETJUMP)
             rt_free_rti(m_rtip);
@@ -126,7 +124,7 @@
 bool ConstDatabase::Load
 (
     const char* fileName
-) throw() {
+) {
     if (m_resp != 0) {
         if (m_rtip != 0) {
             if (!BU_SETJUMP)
@@ -162,7 +160,7 @@
 }
 
 
-const char* ConstDatabase::Title(void) const throw() {
+const char* ConstDatabase::Title(void) const {
     const char* ret = 0;
 
     if (m_rtip != 0)
@@ -172,7 +170,7 @@
 }
 
 
-const ConstDatabase::TopObjectIterator& ConstDatabase::TopObjectIterator::operator++(void) throw() {
+const ConstDatabase::TopObjectIterator& ConstDatabase::TopObjectIterator::operator++(void) {
     if (m_pDir != 0) {
         const directory* oldPDir = m_pDir;
 
@@ -203,12 +201,12 @@
 }
 
 
-bool ConstDatabase::TopObjectIterator::Good(void) const throw() {
+bool ConstDatabase::TopObjectIterator::Good(void) const {
     return (m_pDir != 0);
 }
 
 
-const char* ConstDatabase::TopObjectIterator::Name(void) const throw() {
+const char* ConstDatabase::TopObjectIterator::Name(void) const {
     assert(m_pDir != 0);
 
     const char* ret = 0;
@@ -225,10 +223,10 @@
     size_t           hashTablePosition,
     const directory* pDir,
     const rt_i*      rtip
-) throw() : m_hashTablePosition(hashTablePosition), m_pDir(pDir), m_rtip(rtip) {}
+) : m_hashTablePosition(hashTablePosition), m_pDir(pDir), m_rtip(rtip) {}
 
 
-ConstDatabase::TopObjectIterator ConstDatabase::FirstTopObject(void) const throw() {
+ConstDatabase::TopObjectIterator ConstDatabase::FirstTopObject(void) const {
     size_t           hashTablePosition = 0;
     const directory* pDirectory        = 0;
 
@@ -337,7 +335,6 @@
                     catch(...) {
                         BU_UNSETJUMP;
                         rt_db_free_internal(&intern);
-                        throw;
                     }
 
                     rt_db_free_internal(&intern);
@@ -353,13 +350,13 @@
 Object* ConstDatabase::Get
 (
     const char* objectName
-) const throw(bad_alloc, std::bad_alloc) {
+) const {
     class ObjectCallbackIntern : public ObjectCallback {
     public:
         ObjectCallbackIntern(void) : ConstDatabase::ObjectCallback(),
                                      m_object(0) {}
 
-        virtual ~ObjectCallbackIntern(void) throw() {}
+        virtual ~ObjectCallbackIntern(void) {}
 
         virtual void operator()(const Object& object) {
             try {
@@ -368,7 +365,7 @@
             catch(std::bad_alloc&) {}
         }
 
-        Object*      GetObject(void) const throw() {
+        Object*      GetObject(void) const {
             return m_object;
         }
 
@@ -428,7 +425,7 @@
 NonManifoldGeometry* ConstDatabase::Facetize
 (
     const char* objectName
-) const throw(bad_alloc, std::bad_alloc) {
+) const {
     NonManifoldGeometry* ret          = new NonManifoldGeometry;
 
     if (m_rtip != 0) {
@@ -466,10 +463,8 @@
                 }
             }
         }
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Object::Facetize");
-        }
 
         BU_UNSETJUMP;
     }
@@ -481,7 +476,7 @@
 void ConstDatabase::Select
 (
     const char* objectName
-) throw() {
+) {
     if (m_rtip != 0) {
         if (!BU_SETJUMP)
             rt_gettree(m_rtip, objectName);
@@ -491,7 +486,7 @@
 }
 
 
-void ConstDatabase::UnSelectAll(void) throw() {
+void ConstDatabase::UnSelectAll(void) {
     if (m_rtip != 0) {
         if (!BU_SETJUMP)
             rt_clean(m_rtip);
@@ -501,7 +496,7 @@
 }
 
 
-bool ConstDatabase::SelectionIsEmpty(void) const throw() {
+bool ConstDatabase::SelectionIsEmpty(void) const {
     bool ret = true;
 
     if (m_rtip != 0)
@@ -511,7 +506,7 @@
 }
 
 
-Vector3D ConstDatabase::BoundingBoxMinima(void) const throw() {
+Vector3D ConstDatabase::BoundingBoxMinima(void) const {
     Vector3D ret;
 
     if (!SelectionIsEmpty()) {
@@ -529,7 +524,7 @@
 }
 
 
-Vector3D ConstDatabase::BoundingBoxMaxima(void) const throw() {
+Vector3D ConstDatabase::BoundingBoxMaxima(void) const {
     Vector3D ret;
 
     if (!SelectionIsEmpty()) {
@@ -551,50 +546,50 @@
 public:
     ConstDatabaseHit(application* ap,
                      partition*   part,
-                     region*      reg) throw() : ConstDatabase::Hit(),
-                                                  m_application(ap),
-                                                  m_partition(part),
-                                                  m_region(reg),
-                                                  m_inVectorsComputed(false),
-                                                  m_outVectorsComputed(false) {
+                     region*      reg) : ConstDatabase::Hit(),
+                                          m_application(ap),
+                                          m_partition(part),
+                                          m_region(reg),
+                                          m_inVectorsComputed(false),
+                                          m_outVectorsComputed(false) {
         assert(m_application != 0);
         assert(m_partition != 0);
         assert(m_region != 0);
    }
 
-    virtual const char* Name(void) const throw() {
+    virtual const char* Name(void) const {
         return m_region->reg_name;
     }
 
-    virtual double      DistanceIn(void) const throw() {
+    virtual double      DistanceIn(void) const {
         return m_partition->pt_inhit->hit_dist;
     }
 
-    virtual double      DistanceOut(void) const throw() {
+    virtual double      DistanceOut(void) const {
         return m_partition->pt_outhit->hit_dist;
     }
 
-    virtual Vector3D    PointIn(void) const throw() {
+    virtual Vector3D    PointIn(void) const {
         ComputeInVectors();
         return m_partition->pt_inhit->hit_point;
     }
 
-    virtual Vector3D    PointOut(void) const throw() {
+    virtual Vector3D    PointOut(void) const {
         ComputeOutVectors();
         return m_partition->pt_outhit->hit_point;
     }
 
-    virtual Vector3D    SurfaceNormalIn(void) const throw() {
+    virtual Vector3D    SurfaceNormalIn(void) const {
         ComputeInVectors();
         return m_partition->pt_inhit->hit_normal;
     }
 
-    virtual Vector3D    SurfaceNormalOut(void) const throw() {
+    virtual Vector3D    SurfaceNormalOut(void) const {
         ComputeOutVectors();
         return m_partition->pt_outhit->hit_normal;
     }
 
-    virtual Curvature3D SurfaceCurvatureIn(void) const throw() {
+    virtual Curvature3D SurfaceCurvatureIn(void) const {
         ComputeInVectors();
 
         curvature curv;
@@ -603,7 +598,7 @@
         return Curvature3D(curv.crv_pdir, curv.crv_c1, curv.crv_c2);
     }
 
-    virtual Curvature3D SurfaceCurvatureOut(void) const throw() {
+    virtual Curvature3D SurfaceCurvatureOut(void) const {
         ComputeOutVectors();
 
         curvature curv;
@@ -612,7 +607,7 @@
         return Curvature3D(curv.crv_pdir, curv.crv_c1, curv.crv_c2);
     }
 
-    virtual Mapping2D   Surface2DMappingIn(void) const throw() {
+    virtual Mapping2D   Surface2DMappingIn(void) const {
         uvcoord uv;
         RT_HIT_UVCOORD(m_application, m_partition->pt_inseg->seg_stp, m_partition->pt_inhit, &uv);
 
@@ -619,7 +614,7 @@
         return Mapping2D(Vector2D(uv.uv_u, uv.uv_v), Vector2D(uv.uv_du, uv.uv_dv));
     }
 
-    virtual Mapping2D   Surface2DMappingOut(void) const throw() {
+    virtual Mapping2D   Surface2DMappingOut(void) const {
         uvcoord uv;
         RT_HIT_UVCOORD(m_application, m_partition->pt_outseg->seg_stp, m_partition->pt_outhit, &uv);
 
@@ -626,19 +621,19 @@
         return Mapping2D(Vector2D(uv.uv_u, uv.uv_v), Vector2D(uv.uv_du, uv.uv_dv));
     }
 
-    virtual bool        HasColor(void) const throw() {
+    virtual bool        HasColor(void) const {
         return (m_region->reg_mater.ma_color_valid != 0);
     }
 
-    virtual double      Red(void) const throw() {
+    virtual double      Red(void) const {
         return m_region->reg_mater.ma_color[0];
     }
 
-    virtual double      Green(void) const throw() {
+    virtual double      Green(void) const {
         return m_region->reg_mater.ma_color[1];
     }
 
-    virtual double      Blue(void) const throw() {
+    virtual double      Blue(void) const {
         return m_region->reg_mater.ma_color[2];
     }
 
@@ -649,7 +644,7 @@
     mutable bool m_inVectorsComputed;
     mutable bool m_outVectorsComputed;
 
-    void ComputeInVectors(void) const throw() {
+    void ComputeInVectors(void) const {
         if (!m_inVectorsComputed) {
             hit* pHit = m_partition->pt_inhit;
 
@@ -658,7 +653,7 @@
         }
     }
 
-    void ComputeOutVectors(void) const throw() {
+    void ComputeOutVectors(void) const {
         if (!m_outVectorsComputed) {
             hit* pHit = m_partition->pt_outhit;
 
@@ -723,15 +718,13 @@
             }
             catch(...) {
                 BU_UNSETJUMP;
-                throw;
-            }
         }
 
         BU_UNSETJUMP;
-    }
+      }
+   }
 }
 
-
 static void MultioverlapDo
 (
     application* ap,
@@ -797,7 +790,6 @@
             }
             catch(...) {
                 BU_UNSETJUMP;
-                throw;
             }
         }
 
Index: src/coreInterface/Database.cpp
===================================================================
--- src/coreInterface/Database.cpp	(revision 74453)
+++ src/coreInterface/Database.cpp	(working copy)
@@ -62,7 +62,7 @@
 using namespace BRLCAD;
 
 
-Database::~Database(void) throw() {
+Database::~Database(void) {
     if (m_wdbp != 0) {
         if (!BU_SETJUMP)
             wdb_close(m_wdbp);
@@ -75,14 +75,12 @@
 void Database::SetTitle
 (
     const char* title
-) throw(bad_alloc) {
+) {
     if (m_wdbp != 0) {
         if (!BU_SETJUMP)
             db_update_ident(m_wdbp->dbip, title, m_wdbp->dbip->dbi_base2local);
-        else {
+        else
             BU_UNSETJUMP;
-            throw bad_alloc("BRLCAD::Database::SetTitle");
-        }
 
         BU_UNSETJUMP;
     }
@@ -92,7 +90,7 @@
 bool Database::Add
 (
     const Object& object
-) throw() {
+) {
     bool ret = false;
 
     if (m_wdbp != 0) {
@@ -301,7 +299,7 @@
 void Database::Delete
 (
     const char* objectName
-) throw() {
+) {
     if (m_wdbp != 0) {
         if (!BU_SETJUMP) {
             directory* pDir = db_lookup(m_rtip->rti_dbip, objectName, LOOKUP_NOISE);
@@ -327,7 +325,7 @@
         ObjectCallbackIntern(Database::ObjectCallback& cb) : ConstDatabase::ObjectCallback(),
                                                              m_callback(cb) {}
 
-        virtual ~ObjectCallbackIntern(void) throw() {}
+        virtual ~ObjectCallbackIntern(void) {}
 
         virtual void operator()(const Object& object) {
             Object& objectIntern = const_cast<Object&>(object);
@@ -354,13 +352,13 @@
 void Database::Set
 (
     const Object& object
-) throw(bad_alloc) {
+) {
     class ObjectCallbackIntern : public ObjectCallback {
     public:
         ObjectCallbackIntern(const Object& obj) : ObjectCallback(),
                                                   m_object(obj) {}
 
-        virtual ~ObjectCallbackIntern(void) throw() {}
+        virtual ~ObjectCallbackIntern(void) {}
 
         virtual void operator()(Object& obj) {
             obj = m_object;
@@ -374,4 +372,4 @@
 }
 
 
-Database::Database(void) throw(bad_alloc) : ConstDatabase(), m_wdbp(0) {}
+Database::Database(void) : ConstDatabase(), m_wdbp(0) {}
Index: src/coreInterface/Ellipsoid.cpp
===================================================================
--- src/coreInterface/Ellipsoid.cpp	(revision 74453)
+++ src/coreInterface/Ellipsoid.cpp	(working copy)
@@ -39,7 +39,7 @@
 using namespace BRLCAD;
 
 
-Ellipsoid::Ellipsoid(void) throw(bad_alloc) : Object() {
+Ellipsoid::Ellipsoid(void) : Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_ell_internal);
         m_internalp->magic = RT_ELL_INTERNAL_MAGIC;
@@ -46,10 +46,8 @@
 
         SetSphere(Vector3D(), 1.);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Ellipsoid::Ellipsoid");
-    }
 
     BU_UNSETJUMP;
 }
@@ -61,7 +59,7 @@
     const Vector3D& semiPrincipalAxisA,
     const Vector3D& semiPrincipalAxisB,
     const Vector3D& semiPrincipalAxisC
-) throw(bad_alloc) {
+) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_ell_internal);
         m_internalp->magic = RT_ELL_INTERNAL_MAGIC;
@@ -68,10 +66,8 @@
 
         Set(center, semiPrincipalAxisA, semiPrincipalAxisB, semiPrincipalAxisC);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Ellipsoid::Ellipsoid");
-    }
 
     BU_UNSETJUMP;
 }
@@ -82,7 +78,7 @@
     const Vector3D& center,
     const Vector3D& semiPrincipalAxis,
     double          radius
-) throw(bad_alloc) {
+) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_ell_internal);
         m_internalp->magic = RT_ELL_INTERNAL_MAGIC;
@@ -89,10 +85,8 @@
 
         Set(center, semiPrincipalAxis, radius);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Ellipsoid::Ellipsoid");
-    }
 
     BU_UNSETJUMP;
 }
@@ -102,7 +96,7 @@
 (
     const Vector3D& center,
     double          radius
-) throw(bad_alloc) {
+) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_ell_internal);
         m_internalp->magic = RT_ELL_INTERNAL_MAGIC;
@@ -109,10 +103,8 @@
 
         SetSphere(center, radius);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Ellipsoid::Ellipsoid");
-    }
 
     BU_UNSETJUMP;
 }
@@ -121,21 +113,19 @@
 Ellipsoid::Ellipsoid
 (
     const Ellipsoid& original
-) throw(bad_alloc) : Object(original) {
+) : Object(original) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_ell_internal);
         memcpy(m_internalp, original.Internal(), sizeof(rt_ell_internal));
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::Ellipsoid::Ellipsoid");
-    }
 
     BU_UNSETJUMP;
 }
 
 
-Ellipsoid::~Ellipsoid(void) throw() {
+Ellipsoid::~Ellipsoid(void) {
     if (m_internalp != 0)
         bu_free(m_internalp, "BRLCAD::Ellipsoid::~Ellipsoid::m_internalp");
 }
@@ -144,7 +134,7 @@
 const Ellipsoid& Ellipsoid::operator=
 (
     const Ellipsoid& original
-) throw(bad_alloc) {
+) {
     if(&original != this) {
         Copy(original);
         memcpy(Internal(), original.Internal(), sizeof(rt_ell_internal));
@@ -154,7 +144,7 @@
 }
 
 
-Vector3D Ellipsoid::Center(void) const throw() {
+Vector3D Ellipsoid::Center(void) const {
     return Vector3D(Internal()->v);
 }
 
@@ -162,7 +152,7 @@
 void Ellipsoid::SetCenter
 (
     const Vector3D& center
-) throw(){
+) {
     VMOVE(Internal()->v, center.coordinates);
 }
 
@@ -170,7 +160,7 @@
 Vector3D Ellipsoid::SemiPrincipalAxis
 (
     size_t index
-) const throw(){
+) const {
     Vector3D ret;
 
     assert(index < 3);
@@ -196,7 +186,7 @@
 (
     size_t          index,
     const Vector3D& semiPrincipalAxis
-) throw(){
+) {
     assert(index < 3);
 
     switch (index) {
@@ -220,7 +210,7 @@
     const Vector3D& semiPrincipalAxisA,
     const Vector3D& semiPrincipalAxisB,
     const Vector3D& semiPrincipalAxisC
-) throw(){
+) {
     rt_ell_internal* internalp = Internal();
 
     VMOVE(internalp->v, center.coordinates);
@@ -235,7 +225,7 @@
     const Vector3D& center,
     const Vector3D& semiPrincipalAxis,
     double          radius
-) throw() {
+) {
     double length = MAGNITUDE(semiPrincipalAxis.coordinates);
 
     assert(length > SMALL_FASTF);
@@ -261,7 +251,7 @@
     const Vector3D& focalA,
     const Vector3D& focalB,
     double          majorAxisLength
-) throw(){
+) {
     assert(majorAxisLength > SMALL_FASTF);
 
     if (majorAxisLength > SMALL_FASTF) {
@@ -305,7 +295,7 @@
 (
     const Vector3D& center,
     double          radius
-) throw() {
+) {
     assert(radius > SMALL_FASTF);
 
     if (!NEAR_ZERO(radius, SMALL_FASTF)) {
@@ -322,7 +312,7 @@
 const Object& Ellipsoid::operator=
 (
     const Object& original
-) throw(bad_alloc) {
+) {
     const Ellipsoid* ell = dynamic_cast<const Ellipsoid*>(&original);
     assert(ell != 0);
 
@@ -333,22 +323,22 @@
 }
 
 
-Object* Ellipsoid::Clone(void) const throw(bad_alloc, std::bad_alloc) {
+Object* Ellipsoid::Clone(void) const {
     return new Ellipsoid(*this);
 }
 
 
-const char* Ellipsoid::ClassName(void) throw() {
+const char* Ellipsoid::ClassName(void) {
     return "Ellipsoid";
 }
 
 
-const char* Ellipsoid::Type(void) const throw() {
+const char* Ellipsoid::Type(void) const {
     return ClassName();
 }
 
 
-bool Ellipsoid::IsValid(void) const throw() {
+bool Ellipsoid::IsValid(void) const {
     bool                   ret       = false;
     const rt_ell_internal* internalp = Internal();
 
@@ -370,10 +360,10 @@
     directory*      pDir,
     rt_db_internal* ip,
     db_i*           dbip
-) throw() : Object(resp, pDir, ip, dbip), m_internalp(0) {}
+) : Object(resp, pDir, ip, dbip), m_internalp(0) {}
 
 
-rt_ell_internal* Ellipsoid::Internal(void) throw() {
+rt_ell_internal* Ellipsoid::Internal(void) {
     rt_ell_internal* ret;
 
     if (m_ip != 0)
@@ -387,7 +377,7 @@
 }
 
 
-const rt_ell_internal* Ellipsoid::Internal(void) const throw() {
+const rt_ell_internal* Ellipsoid::Internal(void) const {
     const rt_ell_internal* ret;
 
     if (m_ip != 0)
Index: src/coreInterface/EllipticalTorus.cpp
===================================================================
--- src/coreInterface/EllipticalTorus.cpp	(revision 74453)
+++ src/coreInterface/EllipticalTorus.cpp	(working copy)
@@ -39,7 +39,7 @@
 using namespace BRLCAD;
 
 
-EllipticalTorus::EllipticalTorus(void) throw(bad_alloc) : Object() {
+EllipticalTorus::EllipticalTorus(void) : Object() {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_eto_internal);
         m_internalp->eto_magic = RT_ETO_INTERNAL_MAGIC;
@@ -46,10 +46,8 @@
 
         Set(Vector3D(), Vector3D(0., 0., 1.), 2., Vector3D(1., 0., 0.), 1.);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::EllipticalTorus::EllipticalTorus");
-    }
 
     BU_UNSETJUMP;
 }
@@ -62,7 +60,7 @@
     double          tubeCenterLineRadius,
     const Vector3D& tubeSemiMajorAxis,
     double          tubeSemiMinorAxisLength
-) throw(bad_alloc) {
+) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_eto_internal);
         m_internalp->eto_magic = RT_ETO_INTERNAL_MAGIC;
@@ -69,10 +67,8 @@
 
         Set(center, normalToTubeCenterLinePlane, tubeCenterLineRadius, tubeSemiMajorAxis, tubeSemiMinorAxisLength);
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::EllipticalTorus::EllipticalTorus");
-    }
 
     BU_UNSETJUMP;
 }
@@ -81,21 +77,19 @@
 EllipticalTorus::EllipticalTorus
 (
     const EllipticalTorus& original
-) throw(bad_alloc) : Object(original) {
+) : Object(original) {
     if (!BU_SETJUMP) {
         BU_GET(m_internalp, rt_eto_internal);
         memcpy(m_internalp, original.Internal(), sizeof(rt_eto_internal));
     }
-    else {
+    else
         BU_UNSETJUMP;
-        throw bad_alloc("BRLCAD::EllipticalTorus::EllipticalTorus");
-    }
 
     BU_UNSETJUMP;
 }
 
 
-EllipticalTorus::~EllipticalTorus(void) throw() {
+EllipticalTorus::~EllipticalTorus(void) {
     if (m_internalp != 0)
         bu_free(m_internalp, "BRLCAD::EllipticalTorus::~EllipticalTorus::m_internalp");
 }
@@ -104,7 +98,7 @@
 const EllipticalTorus& EllipticalTorus::operator =
 (
     const EllipticalTorus& original
-) throw(bad_alloc) {
+) {
     if(&original != this) {
         Copy(original);
         memcpy(Internal(), original.Internal(), sizeof(rt_eto_internal));
@@ -114,7 +108,7 @@
 }
 
 
-Vector3D EllipticalTorus::Center(void) const throw() {
+Vector3D EllipticalTorus::Center(void) const {
     return Vector3D(Internal()->eto_V);
 }
 
@@ -122,12 +116,12 @@
 void EllipticalTorus::SetCenter
 (
     const Vector3D& center
-) throw() {
+) {
     VMOVE(Internal()->eto_V, center.coordinates);
 }
 
 
-Vector3D EllipticalTorus::Normal(void) const throw() {
+Vector3D EllipticalTorus::Normal(void) const {
     return Vector3D(Internal()->eto_N);
 }
 
@@ -135,7 +129,7 @@
 void EllipticalTorus::SetNormal
 (
     const Vector3D& normal
-) throw() {
+) {
     assert(!VNEAR_ZERO(normal.coordinates, SMALL_FASTF));
 
     VMOVE(Internal()->eto_N, normal.coordinates);
@@ -143,7 +137,7 @@
 }
 
 
-double EllipticalTorus::TubeCenterLineRadius(void) const throw() {
+double EllipticalTorus::TubeCenterLineRadius(void) const {
     return Internal()->eto_r;
 }
 
@@ -151,12 +145,12 @@
 void EllipticalTorus::SetTubeCenterLineRadius
 (
     double radius
-) throw() {
+) {
     Internal()->eto_r = radius;
 }
 
 
-Vector3D EllipticalTorus::TubeSemiMajorAxis(void) const throw() {
+Vector3D EllipticalTorus::TubeSemiMajorAxis(void) const {
     return Vector3D(Internal()->eto_C);
 }
 
@@ -164,12 +158,12 @@
 void EllipticalTorus::SetTubeSemiMajorAxis
 (
     const Vector3D& axis
-) throw() {
+) {
     VMOVE(Internal()->eto_C, axis.coordinates);
 }
 
 
-double EllipticalTorus::TubeSemiMinorAxis(void) const throw() {
+double EllipticalTorus::TubeSemiMinorAxis(void) const {
     return Internal()->eto_rd;
 }
 
@@ -177,7 +171,7 @@
 void EllipticalTorus::SetTubeSemiMinorAxis
 (
     double length
-) throw() {
+) {
     Internal()->eto_rd = length;
 }
 
@@ -189,7 +183,7 @@
     double          tubeCenterLineRadius,
     const Vector3D& tubeSemiMajorAxis,
     double          tubeSemiMinorAxisLength
-) throw(){
+) {
      rt_eto_internal* internalp = Internal();
 
     VMOVE(internalp->eto_V, center.coordinates);
@@ -207,7 +201,7 @@
 const Object& EllipticalTorus::operator=
 (
     const Object& original
-) throw(bad_alloc) {
+) {
     const EllipticalTorus* eto = dynamic_cast<const EllipticalTorus*>(&original);
     assert(eto != 0);
 
@@ -218,22 +212,22 @@
 }
 
 
-Object* EllipticalTorus::Clone(void) const throw(bad_alloc, std::bad_alloc) {
+Object* EllipticalTorus::Clone(void) const {
     return new EllipticalTorus(*this);
 }
 
 
-const char* EllipticalTorus::ClassName(void) throw() {
+const char* EllipticalTorus::ClassName(void) {
     return "EllipticalTorus";
 }
 
 
-const char* EllipticalTorus::Type(void) const throw() {
+const char* EllipticalTorus::Type(void) const {
     return ClassName();
 }
 
 
-bool EllipticalTorus::IsValid(void) const throw(){
+bool EllipticalTorus::IsValid(void) const {
     bool                   ret       = false;
     const rt_eto_internal* internalp = Internal();
     double                 rc        = MAGNITUDE(internalp->eto_C);
@@ -271,10 +265,10 @@
     directory*      pDir,
     rt_db_internal* ip,
     db_i*           dbip
-) throw() : Object(resp, pDir, ip, dbip), m_internalp(0) {}
+) : Object(resp, pDir, ip, dbip), m_internalp(0) {}
 
 
-const rt_eto_internal* EllipticalTorus::Internal(void) const throw() {
+const rt_eto_internal* EllipticalTorus::Internal(void) const {
     const rt_eto_internal* ret;
 
     if (m_ip != 0)
@@ -288,7 +282,7 @@
 }
 
 
-rt_eto_internal* EllipticalTorus::Internal(void) throw() {
+rt_eto_internal* EllipticalTorus::Internal(void) {
     rt_eto_internal* ret;
 
     if(m_ip != 0)
Index: src/coreInterface/FileDatabase.cpp
===================================================================
--- src/coreInterface/FileDatabase.cpp	(revision 74453)
+++ src/coreInterface/FileDatabase.cpp	(working copy)
@@ -36,16 +36,16 @@
 using namespace BRLCAD;
 
 
-FileDatabase::FileDatabase(void) throw(bad_alloc) : Database() {}
+FileDatabase::FileDatabase(void) : Database() {}
 
 
-FileDatabase::~FileDatabase(void) throw() {}
+FileDatabase::~FileDatabase(void) {}
 
 
 bool FileDatabase::Load
 (
     const char* fileName
-) throw() {
+) {
     bool ret = false;
 
     if (m_resp != 0) {
